## dtv-scan-tables 0%2Bgit20151202.3864e0a

=== debian/changelog ===
dtv-scan-tables (0+git20151202.3864e0a-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 3864e0a)
  * d/control: various fixes found by libconfig-model-dpkg-perl 
  * d/get-vcs-snapshot.sh: Update to reflect gbp changes 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 18 Jan 2016 00:33:03 +0000

dtv-scan-tables (0+git20150208.f2053b3-1) unstable; urgency=medium

  * New Upstream Snapshot (commit f2053b3)
    - More AU DVB-T updates; Thanks Brian Burch! (Closes LP: #1415262)
    - GA, RU and UA DVB-T updates
    - Update European DVB-S transponders

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Wed, 01 Apr 2015 00:16:40 +0100

dtv-scan-tables (0+git20141218.b46a22c-1) unstable; urgency=medium

  * New Upstream Snapshot (commit b46a22c)
    - Updated AU DVB-T files; Thanks Brian Burch! (Closes LP: #1393280) 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sun, 28 Dec 2014 14:59:11 +0000

dtv-scan-tables (0+git20141009.d26b627-1) unstable; urgency=medium

  * New Upstream Snapshot (commit d26b627)
    - Migrate scan files from DVBv3 API to DVBv5 API (Closes: #763035)
    - DVBv3 scan files are deprecated and will not be updated in future
    - To ease migration to DVBv5, DVBv3 files will be available from
      /usr/share/dvb/dvb-legacy/ until Jessie+1
  * d/control: add Build-Depends on dvb-tools 
  * d/control: update Standards Version to 3.9.6
    - No changes required
  * delete d/dtv-scan-files.install; Upstream now supplies a Makefile

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 20 Oct 2014 00:41:46 +0100

dtv-scan-tables (0+git20140611.14bd6c7-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 1246b27)
  * New Upstream Snapshot (commit 14bd6c7)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Wed, 23 Jul 2014 01:09:22 +0100

dtv-scan-tables (0+git20140326.cfc2975-1) unstable; urgency=medium

  * New Upstream Snapshot (commit cfc2975)
  * d/control: update Homepage (upstream has moved from Gitweb to cgit)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 05 Apr 2014 16:54:31 +0100

dtv-scan-tables (0+git20140107.1850cf8-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 1850cf8)
  * Update Standards Version to 3.9.5
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 16 Jan 2014 00:06:06 +0000

dtv-scan-tables (0+git20131201.52a7b0a-1) unstable; urgency=low

  * New Upstream Snapshot (commit 52a7b0a)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Tue, 03 Dec 2013 22:33:01 +0000

dtv-scan-tables (0+git20131101.75f3b39-1) unstable; urgency=low

  * New Upstream Snapshot (commit 75f3b39)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 04 Nov 2013 23:12:50 +0000

dtv-scan-tables (0+git20130920.f61d5ec-1) unstable; urgency=low

  [ Jonathan McCrohan ]
  * New Upstream Snapshot (commit f61d5ec) (Closes: #720879)
  * d/control: Add Vcs-{Git,Browser} URLs

  [ Tobias Grimm ]
  * d/control: Need breaks/replaces relation to dvb-apps (<< 1.1.1+rev1500-1)
    (Closes: #722661)

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Sep 2013 21:38:25 +0200

dtv-scan-tables (0+git20130622.edc0bc3-1) unstable; urgency=low

  * Initial release (Closes: #697898)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Wed, 07 Aug 2013 00:22:59 +0100

## dtv-scan-tables 0+git20151202.3864e0a

=== Makefile ===
# Makefile for dtv-scan-tables (26 May 2014)
# Copyright 2014 Jonathan McCrohan <jmccrohan@gmail.com>

# The vast majority of the DVB scan files contained in this repository
# are DVBv3 scan files. This format has been deprecated in favor of the
# DVBv5 scan format.
#
# Use this makefile to convert the existing DVBv3 scan files to DVBv5
# scan files until such time as DVBv5 scan format is in widespread use.
#
# Requires dvb-format-convert from v4l-utils.

MKDIR = mkdir -p
DVBFORMATCONVERT = dvb-format-convert

DVBV3DIRS = atsc dvb-c dvb-s dvb-t
DVBV5DIRS = $(DVBV3DIRS) isdb-t

DVBV3CHANNELFILES = $(foreach dir,$(DVBV3DIRS),$(wildcard $(dir)/*))

DVBFORMATCONVERT_CHANNEL_DVBV5 = -ICHANNEL -ODVBV5
DVBFORMATCONVERT_CHANNEL_DVBV3 = -IDVBV5 -OCHANNEL

DVBV3OUTPUTDIR = dvbv3
DVBV5OUTPUTDIR = dvbv5

PHONY := clean dvbv3 dvbv5

ifeq ($(PREFIX),)
PREFIX = /usr/local
endif

ifeq ($(DATADIR),)
DATADIR = $(PREFIX)/share
endif

ifeq ($(DVBV5DIR),)
DVBV5DIR = dvbv5
endif

ifeq ($(DVBV3DIR),)
DVBV3DIR = dvbv3
endif

dvbv3:
	@$(foreach var,$(DVBV3DIRS), $(MKDIR) $(DVBV3OUTPUTDIR)/$(var);)
	@$(foreach var,$(DVBV3CHANNELFILES), $(DVBFORMATCONVERT) $(DVBFORMATCONVERT_CHANNEL_DVBV3) $(var) $(DVBV3OUTPUTDIR)/$(var);)


dvbv5: $(DVBV3OUTPUTDIR)
	@$(foreach var,$(DVBV3DIRS), $(MKDIR) $(DVBV5OUTPUTDIR)/$(var);)
	@$(foreach var,$(DVBV3CHANNELFILES), $(DVBFORMATCONVERT) $(DVBFORMATCONVERT_CHANNEL_DVBV5) $(DVBV3OUTPUTDIR)/$(var) $(DVBV5OUTPUTDIR)/$(var);)

install:
	@mkdir -p $(DATADIR)/$(DVBV5DIR)
	$(foreach var,$(DVBV5DIRS), install -d -p $(DATADIR)/$(DVBV5DIR)/$(var); install -D -p -m 644 $(var)/* $(DATADIR)/$(DVBV5DIR)/$(var);)

install_v3:
	@mkdir -p $(DATADIR)/$(DVBV3DIR)
	$(foreach var,$(DVBV3DIRS), install -d -p $(DATADIR)/$(DVBV3DIR)/$(var); install -D -p -m 644 $(DVBV3OUTPUTDIR)/$(var)/* $(DATADIR)/$(DVBV3DIR)/$(var);)

clean:
	rm -rf $(DVBV3OUTPUTDIR)/ $(DVBV5OUTPUTDIR)/

## dtv-scan-tables 0+git20131201.52a7b0a

=== debian/control ===
Source: dtv-scan-tables
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>, Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/dtv-scan-tables.git
Homepage: http://git.linuxtv.org/dtv-scan-tables.git

Package: dtv-scan-tables
Architecture: all
Depends: ${misc:Depends}
Replaces: dvb-apps (<< 1.1.1+rev1500-1)
Breaks: dvb-apps (<< 1.1.1+rev1500-1)
Description: Digital Video Broadcasting (DVB) initial scan files
 Initial setup tables for use with DVB devices supporting the DVB-C, DVB-T,
 DVB-S, and ATSC standards.
 .
 These scan tables were once provided as part of the dvb-apps package, however
 upstream has since decided to split the scan tables out into their own
 separate dtv-scan-tables repository to ease maintenance of both packages.
 .
 Contains DVB-C scan tables for the following countries:
  Austria
  Belgium
  Brazil
  Switzerland
  Czech Republic
  Germany
  Denmark
  Spain
  Finland
  France
  Hungary
  Iceland
  Luxembourg
  Netherlands
  Norway
  Sweden
 .
 Contains DVB-S scan tables for the following providers:
  ABS
  Agila
  Amazonas
  AMC
  Amos
  Anik F1
  Apstar
  AsiaSat
  Astra
  Atlantic Bird
  BrasilSAT
  ChinaSat
  Estrela do Sul
  Eurobird
  Eutelsat
  Express
  Galaxy
  Hispasat
  Hotbird
  IA-7
  Insat
  Intelsat
  JCSat
  Measat
  Nahuel
  Nilesat
  NSS
  Optus
  Palapa
  PAS
  Satmex
  SBS 6
  SES 2
  Sirius
  ST 1
  Telecom2
  Telkom1
  Telstar
  Thaicom
  Thor
  Turkstat
  Vinasat 1
  Yamal 201
 .
 Contains DVB-T scan tables for the following countries:
  Andorra
  Argentina
  Austria
  Australia
  Åland Islands
  Belgium
  Brazil
  Switzerland
  Czech Republic
  Germany
  Denmark
  Spain
  Finland
  France
  Greece
  Hong Kong
  Croatia
  Hungary
  Ireland
  Israel
  Iran, Islamic Republic of
  Iceland
  Italy
  Lithuania
  Luxembourg
  Latvia
  Netherlands
  Norway
  New Zealand
  Poland
  Portugal
  Romania
  Sweden
  Slovenia
  Slovakia
  United Kingdom
  Taiwan, Province of China
  Vietnam
 .
 Contains ATSC scan tables for the following countries:
  United States

## dtv-scan-tables 0+git20140107.1850cf8

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>, Tobias Grimm <etobi@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/dtv-scan-tables.git
 Homepage: http://git.linuxtv.org/dtv-scan-tables.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## dtv-scan-tables 0+git20140611.14bd6c7

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/dtv-scan-tables.git
-Homepage: http://git.linuxtv.org/dtv-scan-tables.git
+Homepage: http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
 
 Package: dtv-scan-tables
 Architecture: all

## dtv-scan-tables 0+git20141218.b46a22c

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dvb-tools
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/dtv-scan-tables.git
 Homepage: http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/

## dtv-scan-tables 0+git20151202.3864e0a

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: dtv-scan-tables
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>,
+           Tobias Grimm <etobi@debian.org>
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), dvb-tools
+Build-Depends: debhelper (>= 9),
+               dvb-tools
 Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vdr-dvb/dtv-scan-tables.git
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/dtv-scan-tables.git
 Homepage: http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
 
 Package: dtv-scan-tables
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: dvb-apps (<< 1.1.1+rev1500-1)
 Replaces: dvb-apps (<< 1.1.1+rev1500-1)
-Breaks: dvb-apps (<< 1.1.1+rev1500-1)
 Description: Digital Video Broadcasting (DVB) initial scan files
  Initial setup tables for use with DVB devices supporting the DVB-C, DVB-T,
  DVB-S, and ATSC standards.

## dtv-scan-tables 0+git20160503.4f192bd

=== debian/changelog ===
dtv-scan-tables (0+git20160503.4f192bd-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 4f192bd)
  * d/control: update Standards Version to 3.9.8
    - No changes required
  * d/control: update insecure Vcs-Git URL

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 11 Jun 2016 15:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dvb-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vdr-dvb/dtv-scan-tables.git
-Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/dtv-scan-tables.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-vdr-dvb/dtv-scan-tables.git
 Homepage: http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
 
 Package: dtv-scan-tables

## dtv-scan-tables 0+git20161227.ac7535a

=== debian/changelog ===
dtv-scan-tables (0+git20161227.ac7535a-1) unstable; urgency=medium

  * New Upstream Snapshot (commit ac7535a)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 05 Jan 2017 15:58:28 +0000

## dtv-scan-tables 0+git20170425.fb5fe05

=== debian/changelog ===
dtv-scan-tables (0+git20170425.fb5fe05-1) unstable; urgency=medium

  * New Upstream Snapshot (commit fb5fe05)
  * d/control: update Standards Version to 4.0.0
    - No changes required
  * d/control: update Vcs-Browser and Homepage fields 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Tue, 20 Jun 2017 00:12:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dvb-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vdr-dvb/dtv-scan-tables.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/git/pkg-vdr-dvb/dtv-scan-tables.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-vdr-dvb/dtv-scan-tables.git
-Homepage: http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
+Homepage: https://git.linuxtv.org/dtv-scan-tables.git/
 
 Package: dtv-scan-tables
 Architecture: all

## dtv-scan-tables 0+git20171226.07b18ec

=== debian/changelog ===
dtv-scan-tables (0+git20171226.07b18ec-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 07b18ec)
  * d/control: update Standards Version to 4.1.4
    - Change priority extra to optional
  * Add debian/watch file using new git mode
  * d/{control,compat}: Bump debhelper version to 11
  * d/copyright: Change all urls to https

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sun, 08 Apr 2018 01:03:39 +0100

## dtv-scan-tables 0+git20190925.6d01903

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 DVBV5DIRS = $(DVBV3DIRS) isdb-t
 
 DVBV3CHANNELFILES = $(foreach dir,$(DVBV3DIRS),$(wildcard $(dir)/*))
+DVBV3OUTPUTFILES = $(patsubst %,$(DVBV3OUTPUTDIR)/%,$(DVBV3CHANNELFILES))
+DVBV5OUTPUTFILES = $(patsubst %,$(DVBV5OUTPUTDIR)/%,$(DVBV3CHANNELFILES))
 
 DVBFORMATCONVERT_CHANNEL_DVBV5 = -ICHANNEL -ODVBV5
 DVBFORMATCONVERT_CHANNEL_DVBV3 = -IDVBV5 -OCHANNEL
@@ -42,14 +44,17 @@
 DVBV3DIR = dvbv3
 endif
 
-dvbv3:
-	@$(foreach var,$(DVBV3DIRS), $(MKDIR) $(DVBV3OUTPUTDIR)/$(var);)
-	@$(foreach var,$(DVBV3CHANNELFILES), $(DVBFORMATCONVERT) $(DVBFORMATCONVERT_CHANNEL_DVBV3) $(var) $(DVBV3OUTPUTDIR)/$(var);)
 
+dvbv3/%: %
+	@$(MKDIR) "$(dir $@)"
+	@$(DVBFORMATCONVERT) $(DVBFORMATCONVERT_CHANNEL_DVBV3) "$<" "$@"
 
-dvbv5: $(DVBV3OUTPUTDIR)
-	@$(foreach var,$(DVBV3DIRS), $(MKDIR) $(DVBV5OUTPUTDIR)/$(var);)
-	@$(foreach var,$(DVBV3CHANNELFILES), $(DVBFORMATCONVERT) $(DVBFORMATCONVERT_CHANNEL_DVBV5) $(DVBV3OUTPUTDIR)/$(var) $(DVBV5OUTPUTDIR)/$(var);)
+dvbv5/%: %
+	@$(MKDIR) "$(dir $@)"
+	@cp "$<" "$@"
+
+dvbv3: $(DVBV3OUTPUTFILES)
+dvbv5: $(DVBV5OUTPUTFILES)
 
 install:
 	@mkdir -p $(DATADIR)/$(DVBV5DIR)

=== debian/changelog ===
dtv-scan-tables (0+git20190925.6d01903-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * lintian-overrides: national-encoding
  * d/watch: version=5
  * Remove debian/get-vcs-snapshot.sh since uscan will do so

 -- Andreas Tille <tille@debian.org>  Tue, 25 Nov 2025 10:44:42 +0100

dtv-scan-tables (0+git20190925.6d01903-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot.
    * Adds a list of all current German DVB-T2 muxes. (Closes: #901842)
    * Adds the Eutelsat-5-West-A satellite. (Closes: #940936)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Jan 2020 21:25:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: dtv-scan-tables
+Standards-Version: 4.7.2
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>,
-           Tobias Grimm <etobi@debian.org>
+Uploaders:
+ Jonathan McCrohan <jmccrohan@gmail.com>,
+ Tobias Grimm <etobi@debian.org>,
 Section: video
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               dvb-tools
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/pkg-vdr-dvb/dtv-scan-tables.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-vdr-dvb/dtv-scan-tables.git
+Priority: optional
+Build-Depends:
+ debhelper-compat (= 13),
+ dvb-tools,
+Vcs-Browser: https://salsa.debian.org/vdr-team/dtv-scan-tables
+Vcs-Git: https://salsa.debian.org/vdr-team/dtv-scan-tables.git
 Homepage: https://git.linuxtv.org/dtv-scan-tables.git/
 
 Package: dtv-scan-tables
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: dvb-apps (<< 1.1.1+rev1500-1)
-Replaces: dvb-apps (<< 1.1.1+rev1500-1)
+Depends:
+ ${misc:Depends},
 Description: Digital Video Broadcasting (DVB) initial scan files
  Initial setup tables for use with DVB devices supporting the DVB-C, DVB-T,
  DVB-S, and ATSC standards.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	make install DATADIR="debian/dtv-scan-tables/usr/share" DVBV5DIR="dvb"
	make install_v3 DATADIR="debian/dtv-scan-tables/usr/share/dvb" DVBV3DIR="dvb-legacy"

%:
	dh $@

=== debian/watch ===
Version: 5

Source: https://git.linuxtv.org/dtv-scan-tables.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0+git%ad.%h
